FunctionExecutionException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.exceptions

## Class FunctionExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestExecutionException
          - - org.apache.cassandra.exceptions.FunctionExecutionException

- All Implemented Interfaces:
    java.io.Serializable, TransportException

      public class FunctionExecutionException
      extends RequestExecutionException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.lang.String>` | `argTypes`
    `java.lang.String` | `detail`
    `FunctionName` | `functionName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionExecutionException(FunctionName functionName, java.util.List<java.lang.String> argTypes, java.lang.String detail)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FunctionExecutionException` | `create(Function function, java.lang.Throwable cause)`

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### functionName

          public final FunctionName functionName

    - #### argTypes

          public final java.util.List<java.lang.String> argTypes

    - #### detail

          public final java.lang.String detail

  - ### Constructor Detail

    - #### FunctionExecutionException

          public FunctionExecutionException(FunctionName functionName,
                                            java.util.List<java.lang.String> argTypes,
                                            java.lang.String detail)

  - ### Method Detail

    - #### create

          public static FunctionExecutionException create(Function function,
                                                          java.lang.Throwable cause)

Copyright © 2018 The Apache Software Foundation